org.apache.commons.math3.optim.linear

## Class NonNegativeConstraint

- java.lang.Object
- - org.apache.commons.math3.optim.linear.NonNegativeConstraint

All Implemented Interfaces:
  OptimizationData

    public class NonNegativeConstraint
    extends Object
    implements OptimizationData

A constraint for a linear optimization problem indicating whether all variables must be restricted to non-negative values.

Since:
  3.1
Version:
  $Id$

### Field Summary

Fields
`private boolean` `isRestricted` Whether the variables are all positive.

### Constructor Summary

Constructors
Constructor and Description
`NonNegativeConstraint(boolean restricted)`

### Method Summary

Methods
`boolean` `isRestrictedToNonNegative()` Indicates whether all the variables must be restricted to non-negative values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### isRestricted

    private final boolean isRestricted

Whether the variables are all positive.

### Constructor Detail

#### NonNegativeConstraint

    public NonNegativeConstraint(boolean restricted)

Parameters:
  `restricted` - If `true`, all the variables must be positive.

### Method Detail

#### isRestrictedToNonNegative

    public boolean isRestrictedToNonNegative()

Indicates whether all the variables must be restricted to non-negative values.

Returns:
  `true` if all the variables must be positive.